Active Configuration
curl --request GET \
--url https://api.sandbox.pawapay.io/v2/active-conf \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.pawapay.io/v2/active-conf"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.pawapay.io/v2/active-conf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companyName": "Merchant Inc.",
"signatureConfiguration": {
"signedRequestsOnly": true,
"signedCallbacks": true
},
"countries": [
{
"country": "BEN",
"displayName": {
"en": "Benin",
"fr": "Le Benin"
},
"prefix": "229",
"flag": "https://cdn.com/ben_flag.png",
"providers": [
{
"provider": "MTN_MOMO_BEN",
"displayName": "MTN",
"logo": "https://cdn.com/mtn_logo.png",
"nameDisplayedToCustomer": "Merchant Inc.",
"currencies": [
{
"currency": "XOF",
"displayName": "KSh",
"operationTypes": [
{
"DEPOSIT": {
"authType": "PROVIDER_AUTH",
"pinPrompt": "AUTOMATIC",
"pinPromptRevivable": true,
"pinPromptInstructions": {
"channels": [
{
"type": "USSD",
"displayName": {
"en": "Not getting the PIN prompt?",
"fr": "Not getting Le Pin prompt"
},
"quickLink": "tel*182*1*3%23",
"variables": {
"shortCode": "*182#"
},
"instructions": {
"en": [
{
"text": "Dial *182# on your phone",
"template": "Dial {{shortCode}} on your phone"
}
],
"fr": [
{
"text": "Composez *182# sur votre téléphone",
"template": "Composez {{shortCode}} sur votre téléphone"
}
]
}
}
]
},
"minTransactionLimit": "1",
"maxTransactionLimit": "1000",
"decimalsInAmount": "NONE",
"status": "OPERATIONAL",
"callbackUrl": "https://merchant.com/depositCallback"
}
},
{
"operationType": "PAYOUT",
"minTransactionLimit": "1",
"maxTransactionLimit": "1000",
"decimalsInAmount": "NONE",
"status": "DELAYED",
"callbackUrl": "https://merchant.com/payoutCallback"
},
{
"operationType": "REFUND",
"minTransactionLimit": "1",
"maxTransactionLimit": "1000",
"decimalsInAmount": "NONE",
"status": "CLOSED",
"callbackUrl": "https://merchant.com/refundCallback"
},
{
"operationType": "REMITTANCE",
"minTransactionLimit": "1",
"maxTransactionLimit": "1000",
"decimalsInAmount": "NONE",
"status": "OPERATIONAL",
"callbackUrl": "https://merchant.com/remittanceCallback"
},
{
"operationType": "USSD_DEPOSIT",
"callbackUrl": "https://merchant.com/ussdCallback"
},
{
"operationType": "NAME_LOOKUP"
}
]
}
]
}
]
}
]
}{
"failureReason": {
"failureCode": "AUTHENTICATION_ERROR",
"failureMessage": "The API token in the request is invalid."
}
}{
"failureReason": {
"failureCode": "AUTHORISATION_ERROR",
"failureMessage": "The API token in the request is not authorised for this endpoint."
}
}{
"failureReason": {
"failureCode": "UNKNOWN_ERROR",
"failureMessage": "Unable to process request due to an unknown problem."
}
}Toolkit
Active Configuration
GET
/
v2
/
active-conf
Active Configuration
Allows you to query your configuration including the countries and providers that have been configured for your account.
You can also retrieve supporting information about your configuration:
- Your company name on your PawaPay account.
- The currencies supported by the providers.
- The deposit authorisation types of each provider.
- Minimum and maximum amounts for deposits, payouts and refunds.
- The name of the company that is shown to the customer on the PIN prompt and/or SMS receipt.
- Instructions to show to the customer for different mechanism of payment authorisation
- And more…
Authorizations
See Authentication.
Query Parameters
The operation you wish to limit the results to.
Available options:
DEPOSIT, PAYOUT, REMITTANCE, PUSH_DEPOSIT, REFUND, NAME_LOOKUP Was this page helpful?
⌘I